=== modified file 'Makefile.am'
--- Makefile.am	2008-06-30 07:09:25 +0000
+++ Makefile.am	2008-07-01 06:30:40 +0000
@@ -28,7 +28,8 @@
 
 DIST_SUBDIRS =		. include \
 			sql-common scripts \
-			strings mysys dbug extra regex libmysql client unittest storage plugin \
+			strings mysys dbug mysys/tests extra regex \
+			libmysql client unittest storage plugin \
 			vio sql tests \
 			mysql-test support-files
 

=== modified file 'client/Makefile.am'
--- client/Makefile.am	2008-06-30 19:58:51 +0000
+++ client/Makefile.am	2008-07-01 06:30:40 +0000
@@ -25,7 +25,7 @@
 
 LDADD=				$(CLIENT_THREAD_LIBS) \
 				$(top_builddir)/libmysql/libmysqlclient.la -lz \
-                                $(top_builddir)/mysys/libmysys.a
+                                $(top_builddir)/mysys/libmysyslt.la
 
 
 noinst_HEADERS =		sql_string.h completion_hash.h my_readline.h \
@@ -70,7 +70,7 @@
 
 mysqlimport_LDADD =		$(CXXLDFLAGS) $(CLIENT_THREAD_LIBS) \
 				$(LIBMYSQLCLIENT_LA) \
-				$(top_builddir)/mysys/libmysys.a
+				$(top_builddir)/mysys/libmysyslt.la
 
 mysqlshow_SOURCES=		mysqlshow.c
 
@@ -78,7 +78,7 @@
 mysqlslap_CFLAGS=		-DTHREAD -UUNDEF_THREADS_HACK
 mysqlslap_LDADD =		$(CXXLDFLAGS) $(CLIENT_THREAD_LIBS) \
 				$(LIBMYSQLCLIENT_LA) \
-				$(top_builddir)/mysys/libmysys.a
+				$(top_builddir)/mysys/libmysyslt.la
 
 mysqltest_SOURCES=		mysqltest.c \
 				$(top_srcdir)/mysys/my_getsystime.c \

=== modified file 'configure.in'
--- configure.in	2008-07-01 01:26:01 +0000
+++ configure.in	2008-07-01 06:30:40 +0000
@@ -1280,7 +1280,7 @@
 esac
 AC_SUBST(MAKE_BINARY_DISTRIBUTION_OPTIONS)
 
-AC_CONFIG_FILES(Makefile extra/Makefile mysys/Makefile dnl
+AC_CONFIG_FILES(Makefile extra/Makefile mysys/Makefile mysys/tests/Makefile dnl
  unittest/Makefile unittest/mytap/Makefile unittest/mytap/t/Makefile dnl
  unittest/mysys/Makefile unittest/examples/Makefile dnl
  strings/Makefile regex/Makefile storage/Makefile dnl

=== modified file 'dbug/Makefile.am'
--- dbug/Makefile.am	2008-06-25 05:29:13 +0000
+++ dbug/Makefile.am	2008-07-01 06:30:40 +0000
@@ -16,10 +16,18 @@
 # MA 02111-1307, USA
 
 INCLUDES =              -I$(top_builddir)/include -I$(top_srcdir)/include
-LDADD =                 libdbug.a ../mysys/libmysys.a ../strings/libmystrings.a
-pkglib_LIBRARIES =      libdbug.a
+LDADD =                 libdbuglt.la $(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/strings/libmystringslt.la ${ZLIB_LIBS}
+pkglib_LTLIBRARIES =	libdbug.la
+libdbug_la_LDFLAGS =   -static
+libdbug_la_SOURCES = 	
+libdbug_la_LIBADD =	libdbuglt.la
+# Force C++ linking - dummy.cxx doesn't have to exist with EXTRA in the name
+nodist_EXTRA_libdbug_la_SOURCES = dummy.cxx
+
+noinst_LTLIBRARIES =	libdbuglt.la
 noinst_HEADERS =        dbug_long.h
-libdbug_a_SOURCES =     dbug.c sanity.c
+libdbuglt_la_SOURCES =     dbug.c sanity.c
 EXTRA_DIST =            CMakeLists.txt example1.c example2.c example3.c \
                         user.r monty.doc dbug_add_tags.pl \
                         my_main.c main.c factorial.c dbug_analyze.c \

=== modified file 'extra/Makefile.am'
--- extra/Makefile.am	2008-06-30 23:35:41 +0000
+++ extra/Makefile.am	2008-07-01 06:30:40 +0000
@@ -15,9 +15,10 @@
 
 INCLUDES =		-I$(top_builddir)/include -I$(top_srcdir)/include \
 			-I$(top_srcdir)/sql
-LDADD =			../mysys/libmysys.a \
-			../dbug/libdbug.a ../strings/libmystrings.a \
-			-lz
+LDADD =			$(top_builddir)/mysys/libmysyslt.la \
+ 			$(top_builddir)/dbug/libdbuglt.la \
+                        $(top_builddir)/strings/libmystringslt.la 
+
 BUILT_SOURCES=		$(top_builddir)/include/mysqld_error.h \
                         $(top_builddir)/include/sql_state.h \
                         $(top_builddir)/include/mysqld_ername.h

=== modified file 'libmysql/Makefile.am'
--- libmysql/Makefile.am	2008-06-30 19:58:51 +0000
+++ libmysql/Makefile.am	2008-07-01 06:30:40 +0000
@@ -20,30 +20,72 @@
 #
 # This file is public domain and comes with NO WARRANTY of any kind
 
-target =	libmysqlclient.la
-target_defs =	-DUNDEF_THREADS_HACK
+MYSQLDATAdir =			$(localstatedir)
+MYSQLSHAREdir =			$(pkgdatadir)
+MYSQLBASEdir=			$(prefix)
+
+pkglib_LTLIBRARIES = libmysqlclient.la
+libmysqlclient_la_SOURCES = libmysql.c password.c get_password.c errmsg.c
+libmysqlclient_la_LIBADD = ${sql_cmn_objects} ${vio_objects} ${sqlobjects} \
+			   ${top_builddir}/mysys/libmysys.la \
+			   ${top_builddir}/strings/libmystringslt.la \
+			   ${top_builddir}/dbug/libdbug.la
+libmysqlclient_la_LDFLAGS = -version-info @SHARED_LIB_VERSION@ @LD_VERSION_SCRIPT@ 
+
+DEFS =			-DDEFAULT_CHARSET_HOME="\"$(MYSQLBASEdir)\"" \
+			-DDATADIR="\"$(MYSQLDATAdir)\"" \
+			-DDEFAULT_HOME_ENV=MYSQL_HOME \
+			-DDEFAULT_GROUP_SUFFIX_ENV=MYSQL_GROUP_SUFFIX \
+			-DDEFAULT_SYSCONFDIR="\"$(sysconfdir)\"" \
+			-DSHAREDIR="\"$(MYSQLSHAREdir)\"" \
+			-DUNDEF_THREADS_HACK
+
 LIBS =		@CLIENT_LIBS@ 
 INCLUDES =	-I$(top_builddir)/include -I$(top_srcdir)/include -lz
 
-include $(srcdir)/Makefile.shared
-
-libmysqlclient_la_SOURCES = $(target_sources)
-libmysqlclient_la_LIBADD = $(target_libadd)
-libmysqlclient_la_LDFLAGS = $(target_ldflags)
-EXTRA_DIST = Makefile.shared libmysql.def dll.c CMakeLists.txt
+EXTRA_DIST = libmysql.def
 noinst_HEADERS = client_settings.h
 
+
+mysysheaders =		mysys_priv.h my_static.h
+vioheaders =		vio_priv.h
+sqlobjects =		net.lo
+sql_cmn_objects =	pack.lo client.lo my_time.lo
+target_ldflags =
+vio_objects= vio.lo viosocket.lo
+
+
+BUILT_SOURCES		= link_sources
+
+CLEANFILES =		$(target_libadd) $(SHLIBOBJS) \
+			$(target) $(BUILT_SOURCES)
+
+# The automatic dependencies miss this
+#bmove_upp.lo:		$(LTCHARSET_OBJS)
+
+clean-local:
+	rm -f `echo $(dbugobjects) | sed "s;\.lo;.c;g"` \
+	      `echo $(mysysobjects) | sed "s;\.lo;.c;g"` \
+	      `echo $(vio_objects) | sed "s;\.lo;.c;g"` \
+	      `echo $(sql_cmn_objects) | sed "s;\.lo;.c;g"` \
+	       $(CHARSET_SRCS) $(CHARSET_OBJS) \
+	       $(mysysheaders) $(vioheaders) \
+               net.c
+
+noinst_PROGRAMS = conf_to_src
+conf_to_src_SOURCES = conf_to_src.c
+conf_to_src_LDADD=
+#force static linking of conf_to_src - essential when linking against
+#custom installation of libc
+conf_to_src_LDFLAGS=
+
+
 link_sources:
 	  set -x; \
-	  ss=`echo $(mystringsobjects) | sed "s;\.lo;.c;g"`; \
 	  ds=`echo $(dbugobjects) | sed "s;\.lo;.c;g"`; \
 	  ms=`echo $(mysysobjects) | sed "s;\.lo;.c;g"`; \
 	  vs=`echo $(vio_objects) | sed "s;\.lo;.c;g"`; \
 	  scs=`echo $(sql_cmn_objects) | sed "s;\.lo;.c;g"`; \
-	  for f in $$ss; do \
-	    rm -f $$f; \
-	    @LN_CP_F@ $(top_srcdir)/strings/$$f $$f; \
-	  done; \
 	  for f in $$vs $(vioheaders); do \
 	    rm -f $$f; \
 	    @LN_CP_F@ $(top_srcdir)/vio/$$f $$f; \
@@ -52,10 +94,6 @@
 	    rm -f $$f; \
 	    @LN_CP_F@ $(top_srcdir)/sql-common/$$f $$f; \
 	  done; \
-	  for f in $(mystringsextra); do \
-	    rm -f $$f; \
-	    @LN_CP_F@ $(top_srcdir)/strings/$$f $$f; \
-	  done; \
 	  for f in $$ds; do \
 	    rm -f $$f; \
 	    @LN_CP_F@ $(top_srcdir)/dbug/$$f $$f; \
@@ -81,9 +119,9 @@
 		my_alarm.h my_config.h my_dir.h my_list.h my_net.h my_sys.h \
 		mysql.h mysql_com.h mysql_version.h mysqld_error.h \
 		mysys_err.h my_pthread.h thr_alarm.h violite.h hash.h \
-                sql_common.h ../libmysql/client_settings.h 
+                sql_common.h client_settings.h 
 # Get a list of the needed objects  
-lobjs = $(mysysobjects1) $(dbugobjects) $(mystringsobjects) $(sqlobjects)
+lobjs = $(mysysobjects1) $(dbugobjects) $(sqlobjects)
 
 do-lib-dist:
 	dir=libmysql-$(MYSQL_NO_DASH_VERSION); \

=== modified file 'libmysql/Makefile.shared'
--- libmysql/Makefile.shared	2008-07-01 01:26:01 +0000
+++ libmysql/Makefile.shared	2008-07-01 06:30:40 +0000
@@ -32,21 +32,6 @@
 target_sources = 	libmysql.c password.c \
 			get_password.c errmsg.c
 
-mystringsobjects =	strmov.lo strxmov.lo strxnmov.lo strnmov.lo \
-			strmake.lo strend.lo \
-			strnlen.lo strfill.lo is_prefix.lo \
-			int2str.lo str2int.lo strinstr.lo strcont.lo \
-			strcend.lo bcmp.lo ctype-latin1.lo \
-			bchange.lo bmove.lo bmove_upp.lo longlong2str.lo \
-			strtoull.lo strtoll.lo llstr.lo my_vsnprintf.lo \
-			ctype.lo ctype-simple.lo ctype-bin.lo ctype-mb.lo \
-			ctype-big5.lo ctype-czech.lo ctype-cp932.lo ctype-eucjpms.lo ctype-euc_kr.lo \
-			ctype-win1250ch.lo ctype-utf8.lo ctype-extra.lo \
-			ctype-ucs2.lo ctype-gb2312.lo ctype-gbk.lo \
-			ctype-sjis.lo ctype-tis620.lo ctype-ujis.lo \
-			ctype-uca.lo xml.lo my_strtoll10.lo str_alloc.lo dtoa.lo
-
-mystringsextra= 	strto.c
 dbugobjects =		dbug.lo # IT IS IN SAFEMALLOC.C sanity.lo
 mysysheaders =		mysys_priv.h my_static.h
 vioheaders =		vio_priv.h
@@ -73,8 +58,7 @@
 # Not needed in the minimum library
 mysysobjects2 =		my_lib.lo mf_qsort.lo
 mysysobjects =		$(mysysobjects1) $(mysysobjects2)
-target_libadd =		$(mysysobjects) $(mystringsobjects) $(dbugobjects) \
- $(sql_cmn_objects) $(vio_objects) $(sqlobjects)
+target_libadd =		$(mysysobjects) $(dbugobjects) $(sql_cmn_objects) $(vio_objects) $(sqlobjects) $(top_builddir)/strings/libmystringslt.la
 target_ldflags = -version-info @SHARED_LIB_VERSION@ @LD_VERSION_SCRIPT@ 
 vio_objects= vio.lo viosocket.lo
 
@@ -93,13 +77,12 @@
 #bmove_upp.lo:		$(LTCHARSET_OBJS)
 
 clean-local:
-	rm -f `echo $(mystringsobjects) | sed "s;\.lo;.c;g"` \
-	      `echo $(dbugobjects) | sed "s;\.lo;.c;g"` \
+	rm -f `echo $(dbugobjects) | sed "s;\.lo;.c;g"` \
 	      `echo $(mysysobjects) | sed "s;\.lo;.c;g"` \
 	      `echo $(vio_objects) | sed "s;\.lo;.c;g"` \
 	      `echo $(sql_cmn_objects) | sed "s;\.lo;.c;g"` \
 	       $(CHARSET_SRCS) $(CHARSET_OBJS) \
-	       $(mystringsextra) $(mysysheaders) $(vioheaders) \
+	       $(mysysheaders) $(vioheaders) \
                net.c
 
 conf_to_src_SOURCES = conf_to_src.c

=== modified file 'mysys/Makefile.am'
--- mysys/Makefile.am	2008-06-30 19:58:51 +0000
+++ mysys/Makefile.am	2008-07-01 06:30:40 +0000
@@ -18,10 +18,13 @@
 MYSQLBASEdir=		$(prefix)
 INCLUDES =		-I$(top_builddir)/include \
 			-I$(top_srcdir)/include -I$(srcdir)
-pkglib_LIBRARIES =	libmysys.a
-LDADD =			libmysys.a $(top_builddir)/strings/libmystrings.a $(top_builddir)/dbug/libdbug.a
+
+pkglib_LTLIBRARIES =	libmysys.la
+libmysys_la_LDFLAGS =   -static
+nodist_EXTRA_libmysys_la_SOURCES = dummy.cxx
+
 noinst_HEADERS =	mysys_priv.h my_static.h my_handler_errors.h
-libmysys_a_SOURCES =    my_init.c my_getwd.c mf_getdate.c \
+libmysys_la_SOURCES =   my_init.c my_getwd.c mf_getdate.c \
 			mf_path.c mf_loadpath.c my_file.c \
 			my_open.c my_create.c my_dup.c my_seek.c my_read.c \
 			my_pread.c my_write.c my_getpagesize.c \
@@ -52,12 +55,7 @@
 			my_handler.c my_largepage.c \
 			my_memmem.c \
 			my_access.c base64.c
-EXTRA_DIST =		thr_alarm.c thr_lock.c my_thr_init.c \
-			thr_mutex.c thr_rwlock.c
 libmysys_a_LIBADD =	@THREAD_LOBJECTS@
-# test_dir_DEPENDENCIES=	$(LIBRARIES)
-# testhash_DEPENDENCIES=	$(LIBRARIES)
-# test_charset_DEPENDENCIES=	$(LIBRARIES)
 DEFS =			-DDEFAULT_BASEDIR=\"$(prefix)\" \
 			-DDATADIR="\"$(MYSQLDATAdir)\"" \
 			-DDEFAULT_CHARSET_HOME="\"$(MYSQLBASEdir)\"" \
@@ -69,58 +67,4 @@
 
 libmysys_a_DEPENDENCIES= @THREAD_LOBJECTS@
 
-# I hope this always does the right thing. Otherwise this is only test programs
-FLAGS=$(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
-
-#
-# The CP .. RM stuff is to avoid problems with some compilers (like alpha ccc)
-# which automaticly removes the object files you use to compile a final program
-#
-
-test_bitmap$(EXEEXT): my_bitmap.c $(LIBRARIES)
-	$(LINK) $(FLAGS) -DMAIN  ./my_bitmap.c $(LDADD) $(LIBS)
-
-test_priority_queue$(EXEEXT): queues.c $(LIBRARIES)
-	$(LINK) $(FLAGS) -DMAIN  ./queues.c $(LDADD) $(LIBS)
-
-test_thr_alarm$(EXEEXT): thr_alarm.c $(LIBRARIES)
-	$(CP) $(srcdir)/thr_alarm.c ./test_thr_alarm.c
-	$(LINK) $(FLAGS) -DMAIN  ./test_thr_alarm.c $(LDADD) $(LIBS)
-	$(RM) -f ./test_thr_alarm.c
-
-test_thr_lock$(EXEEXT): thr_lock.c $(LIBRARIES)
-	$(CP) $(srcdir)/thr_lock.c test_thr_lock.c
-	$(LINK) $(FLAGS) -DMAIN  ./test_thr_lock.c $(LDADD) $(LIBS)
-	$(RM) -f ./test_thr_lock.c
-
-test_vsnprintf$(EXEEXT): my_vsnprintf.c $(LIBRARIES)
-	$(CP) $(srcdir)/my_vsnprintf.c test_vsnprintf.c
-	$(LINK) $(FLAGS) -DMAIN ./test_vsnprintf.c $(LDADD) $(LIBS)
-	$(RM) -f test_vsnprintf.c
-
-test_io_cache$(EXEEXT): mf_iocache.c $(LIBRARIES)
-	$(CP) $(srcdir)/mf_iocache.c test_io_cache.c
-	$(LINK) $(FLAGS) -DMAIN ./test_io_cache.c $(LDADD) $(LIBS)
-	$(RM) -f test_io_cache.c
-
-test_dir$(EXEEXT): test_dir.c $(LIBRARIES)
-	$(LINK) $(FLAGS) -DMAIN $(srcdir)/test_dir.c $(LDADD) $(LIBS)
-
-test_charset$(EXEEXT): test_charset.c $(LIBRARIES)
-	$(LINK) $(FLAGS) -DMAIN $(srcdir)/test_charset.c $(LDADD) $(LIBS)
-
-testhash$(EXEEXT): testhash.c $(LIBRARIES)
-	$(LINK) $(FLAGS) -DMAIN $(srcdir)/testhash.c $(LDADD) $(LIBS)
-
-test_gethwaddr$(EXEEXT): my_gethwaddr.c $(LIBRARIES)
-	$(CP) $(srcdir)/my_gethwaddr.c ./test_gethwaddr.c
-	$(LINK) $(FLAGS) -DMAIN  ./test_gethwaddr.c $(LDADD) $(LIBS)
-	$(RM) -f ./test_gethwaddr.c
-
-test_base64$(EXEEXT): base64.c $(LIBRARIES)
-	$(CP) $(srcdir)/base64.c ./test_base64.c
-	$(LINK) $(FLAGS) -DMAIN  ./test_base64.c $(LDADD) $(LIBS)
-	$(RM) -f ./test_base64.c
-
-# Don't update the files from bitkeeper
-%::SCCS/s.%
+

=== modified file 'mysys/my_bitmap.c'
--- mysys/my_bitmap.c	2008-06-25 05:29:13 +0000
+++ mysys/my_bitmap.c	2008-07-01 06:30:40 +0000
@@ -763,7 +763,7 @@
   return (rand() % bitsize);
 }
 
-bool test_set_get_clear_bit(MY_BITMAP *map, uint bitsize)
+my_bool test_set_get_clear_bit(MY_BITMAP *map, uint bitsize)
 {
   uint i, test_bit;
   uint no_loops= bitsize > 128 ? 128 : bitsize;
@@ -786,7 +786,7 @@
   return TRUE;
 }
 
-bool test_flip_bit(MY_BITMAP *map, uint bitsize)
+my_bool test_flip_bit(MY_BITMAP *map, uint bitsize)
 {
   uint i, test_bit;
   uint no_loops= bitsize > 128 ? 128 : bitsize;
@@ -809,13 +809,13 @@
   return TRUE;
 }
 
-bool test_operators(MY_BITMAP *map __attribute__((unused)),
+my_bool test_operators(MY_BITMAP *map __attribute__((unused)),
                     uint bitsize __attribute__((unused)))
 {
   return FALSE;
 }
 
-bool test_get_all_bits(MY_BITMAP *map, uint bitsize)
+my_bool test_get_all_bits(MY_BITMAP *map, uint bitsize)
 {
   uint i;
   bitmap_set_all(map);
@@ -857,7 +857,7 @@
   return TRUE;
 }
 
-bool test_compare_operators(MY_BITMAP *map, uint bitsize)
+my_bool test_compare_operators(MY_BITMAP *map, uint bitsize)
 {
   uint i, j, test_bit1, test_bit2, test_bit3,test_bit4;
   uint no_loops= bitsize > 128 ? 128 : bitsize;
@@ -963,7 +963,7 @@
   return TRUE;
 }
 
-bool test_count_bits_set(MY_BITMAP *map, uint bitsize)
+my_bool test_count_bits_set(MY_BITMAP *map, uint bitsize)
 {
   uint i, bit_count=0, test_bit;
   uint no_loops= bitsize > 128 ? 128 : bitsize;
@@ -989,7 +989,7 @@
   return TRUE;
 }
 
-bool test_get_first_bit(MY_BITMAP *map, uint bitsize)
+my_bool test_get_first_bit(MY_BITMAP *map, uint bitsize)
 {
   uint i, test_bit;
   uint no_loops= bitsize > 128 ? 128 : bitsize;
@@ -1014,7 +1014,7 @@
   return TRUE;
 }
 
-bool test_get_next_bit(MY_BITMAP *map, uint bitsize)
+my_bool test_get_next_bit(MY_BITMAP *map, uint bitsize)
 {
   uint i, j, test_bit;
   uint no_loops= bitsize > 128 ? 128 : bitsize;
@@ -1033,7 +1033,7 @@
   return TRUE;
 }
 
-bool test_prefix(MY_BITMAP *map, uint bitsize)
+my_bool test_prefix(MY_BITMAP *map, uint bitsize)
 {
   uint i, j, test_bit;
   uint no_loops= bitsize > 128 ? 128 : bitsize;
@@ -1068,7 +1068,7 @@
 }
 
 
-bool do_test(uint bitsize)
+my_bool do_test(uint bitsize)
 {
   MY_BITMAP map;
   my_bitmap_map buf[1024];

=== modified file 'mysys/queues.c'
--- mysys/queues.c	2008-06-25 05:29:13 +0000
+++ mysys/queues.c	2008-07-01 06:30:40 +0000
@@ -384,11 +384,11 @@
 static uint tot_no_loops= 0;
 static uint expected_part= 0;
 static uint expected_num= 0;
-static bool max_ind= 0;
-static bool fix_used= 0;
+static my_bool max_ind= 0;
+static my_bool fix_used= 0;
 static ulonglong start_time= 0;
 
-static bool is_divisible_by(uint num, uint divisor)
+static my_bool is_divisible_by(uint num, uint divisor)
 {
   uint quotient= num / divisor;
   if (quotient * divisor == num)
@@ -495,7 +495,7 @@
   return 0;
 }
 
-bool check_num(uint num_part)
+my_bool check_num(uint num_part)
 {
   uint part= num_part >> 22;
   uint num= num_part & 0x3FFFFF;
@@ -546,7 +546,7 @@
   }
 }
 
-bool perform_ins_del(QUEUE *queue, bool max_ind)
+my_bool perform_ins_del(QUEUE *queue, my_bool max_ind)
 {
   uint i= 0, no_loops= tot_no_loops, j= tot_no_parts;
   do
@@ -574,10 +574,10 @@
   return FALSE;
 }
 
-bool do_test(uint no_parts, uint l_max_ind, bool l_fix_used)
+my_bool do_test(uint no_parts, uint l_max_ind, my_bool l_fix_used)
 {
   QUEUE queue;
-  bool result;
+  my_bool result;
   max_ind= l_max_ind;
   fix_used= l_fix_used;
   init_queue(&queue, no_parts, 0, max_ind, test_compare, NULL);

=== added directory 'mysys/tests'
=== added file 'mysys/tests/Makefile.am'
--- mysys/tests/Makefile.am	1970-01-01 00:00:00 +0000
+++ mysys/tests/Makefile.am	2008-07-01 06:30:40 +0000
@@ -0,0 +1,52 @@
+# Copyright (C) 2000-2006 MySQL AB
+# 
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+MYSQLDATAdir =		$(localstatedir)
+MYSQLSHAREdir =		$(pkgdatadir)
+MYSQLBASEdir=		$(prefix)
+INCLUDES =		@ZLIB_INCLUDES@ -I$(top_builddir)/include \
+			-I$(top_srcdir)/include -I$(srcdir)  \
+                        -I$(top_srcdir)/mysys
+LDADD =			$(top_builddir)/mysys/libmysyslt.la $(top_builddir)/strings/libmystrings.la $(top_builddir)/dbug/libdbug.la
+
+DEFS =			-DMAIN \
+			-DDEFAULT_BASEDIR=\"$(prefix)\" \
+			-DDATADIR="\"$(MYSQLDATAdir)\"" \
+			-DDEFAULT_CHARSET_HOME="\"$(MYSQLBASEdir)\"" \
+			-DSHAREDIR="\"$(MYSQLSHAREdir)\"" \
+			-DDEFAULT_HOME_ENV=MYSQL_HOME \
+			-DDEFAULT_GROUP_SUFFIX_ENV=MYSQL_GROUP_SUFFIX \
+			-DDEFAULT_SYSCONFDIR="\"$(sysconfdir)\"" \
+                        @DEFS@
+
+# I hope this always does the right thing. Otherwise this is only test programs
+FLAGS=$(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) @NOINST_LDFLAGS@
+
+noinst_PROGRAMS = test_bitmap test_priority_queue test_thr_alarm test_thr_lock test_vsnprintf test_io_cache testhash test_gethwaddr test_base64 #test_charset
+test_bitmap_SOURCES = $(top_srcdir)/mysys/my_bitmap.c
+test_thr_alarm_SOURCES = $(top_srcdir)/mysys/thr_alarm.c
+test_priority_queue_SOURCES = $(top_srcdir)/mysys/queues.c
+test_thr_lock_SOURCES = $(top_srcdir)/mysys/thr_lock.c
+test_vsnprintf_SOURCES = $(top_srcdir)/strings/my_vsnprintf.c
+test_io_cache_SOURCES = $(top_srcdir)/mysys/mf_iocache.c 
+#test_dir_SOURCES = test_dir.c
+#test_charset_SOURCES = test_charset.c
+testhash_SOURCES = testhash.c
+test_gethwaddr_SOURCES = $(top_srcdir)/mysys/my_gethwaddr.c
+test_base64_SOURCES = $(top_srcdir)/mysys/base64.c
+test_base64_LDADD = $(top_builddir)/mysys/libmysyslt.la $(top_builddir)/strings/libmystrings.la
+
+# Don't update the files from bitkeeper
+%::SCCS/s.%

=== modified file 'regex/Makefile.am'
--- regex/Makefile.am	2008-06-30 19:58:51 +0000
+++ regex/Makefile.am	2008-07-01 06:30:40 +0000
@@ -17,7 +17,7 @@
 
 INCLUDES =		-I$(top_builddir)/include -I$(top_srcdir)/include
 noinst_LIBRARIES =	libregex.a
-LDADD=			libregex.a $(top_builddir)/strings/libmystrings.a
+LDADD=			libregex.a $(top_builddir)/strings/libmystrings.la
 noinst_HEADERS =	cclass.h cname.h regex2.h utils.h engine.c my_regex.h
 libregex_a_SOURCES =	regerror.c regcomp.c regexec.c regfree.c reginit.c
 noinst_PROGRAMS =	re

=== modified file 'scripts/mysql_config.sh'
--- scripts/mysql_config.sh	2008-06-25 05:29:13 +0000
+++ scripts/mysql_config.sh	2008-07-01 06:30:40 +0000
@@ -107,6 +107,7 @@
 libs=" $ldflags -L$pkglibdir -lmysqlclient @ZLIB_DEPS@ @NON_THREADED_LIBS@"
 libs="$libs @openssl_libs@ @STATIC_NSS_FLAGS@ "
 libs_r=" $ldflags -L$pkglibdir -lmysqlclient_r @ZLIB_DEPS@ @LIBS@ @openssl_libs@ "
+libdir="-L$pkglibdir"
 embedded_libs=" $ldflags -L$pkglibdir -lmysqld @ZLIB_DEPS@ @LIBS@ @WRAPLIBS@ @innodb_system_libs@ @openssl_libs@ "
 
 if [ -r "$pkglibdir/libmygcc.a" ]; then
@@ -162,6 +163,7 @@
         --include        [$include]
         --libs           [$libs]
         --libs_r         [$libs_r]
+        --libdir         [$libdir]
         --plugindir      [$plugindir]
         --socket         [$socket]
         --port           [$port]
@@ -179,6 +181,7 @@
         --include) echo "$include" ;;
         --libs)    echo "$libs" ;;
         --libs_r)  echo "$libs_r" ;;
+        --libdir)  echo "$libdir" ;;
         --plugindir) echo "$plugindir" ;;
         --socket)  echo "$socket" ;;
         --port)    echo "$port" ;;

=== modified file 'sql/Makefile.am'
--- sql/Makefile.am	2008-06-30 23:35:41 +0000
+++ sql/Makefile.am	2008-07-01 06:30:40 +0000
@@ -39,9 +39,10 @@
 noinst_LTLIBRARIES=
 
 SUPPORTING_LIBS =	$(top_builddir)/vio/libvio.a \
-			$(top_builddir)/mysys/libmysys.a \
-			$(top_builddir)/dbug/libdbug.a \
-			$(top_builddir)/strings/libmystrings.a
+			$(top_builddir)/mysys/libmysys.la \
+			$(top_builddir)/dbug/libdbuglt.la \
+			$(top_builddir)/strings/libmystringsextra.la \
+			$(top_builddir)/strings/libmystringslt.la
 mysqld_DEPENDENCIES=	@mysql_plugin_libs@ $(SUPPORTING_LIBS)
 LDADD = $(SUPPORTING_LIBS) -lz -levent
 mysqld_LDADD =		$(libevent_libs) \

=== modified file 'storage/archive/Makefile.am'
--- storage/archive/Makefile.am	2008-06-30 19:58:51 +0000
+++ storage/archive/Makefile.am	2008-07-01 06:30:40 +0000
@@ -52,36 +52,36 @@
 
 archive_performance_SOURCES =	archive_performance.c azio.c
 archive_performance_CFLAGS =	$(AM_CFLAGS) 
-archive_performance_LDADD =	$(top_builddir)/mysys/libmysys.a \
-			$(top_builddir)/dbug/libdbug.a \
-			$(top_builddir)/strings/libmystrings.a \
+archive_performance_LDADD =	$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/dbug/libdbuglt.la \
+			$(top_builddir)/strings/libmystringslt.la \
 			$(LDADD) \
 			-lz
 archive_performance_LDFLAGS =
 
 archive_test_SOURCES =	archive_test.c azio.c
 archive_test_CFLAGS =	$(AM_CFLAGS) 
-archive_test_LDADD =	$(top_builddir)/mysys/libmysys.a \
-			$(top_builddir)/dbug/libdbug.a \
-			$(top_builddir)/strings/libmystrings.a \
+archive_test_LDADD =	$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/dbug/libdbuglt.la \
+			$(top_builddir)/strings/libmystringslt.la \
 			$(LDADD) \
 			-lz
 archive_test_LDFLAGS =
 
 archive_reader_SOURCES = archive_reader.c azio.c
 archive_reader_CFLAGS =	$(AM_CFLAGS) 
-archive_reader_LDADD =	$(top_builddir)/mysys/libmysys.a \
-			$(top_builddir)/dbug/libdbug.a \
-			$(top_builddir)/strings/libmystrings.a \
+archive_reader_LDADD =	$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/dbug/libdbuglt.la \
+			$(top_builddir)/strings/libmystringslt.la \
 			$(LDADD) \
 			-lz
 archive_reader_LDFLAGS =
 
 concurrency_test_SOURCES = concurrency_test.c azio.c
 concurrency_test_CFLAGS =	$(AM_CFLAGS) 
-concurrency_test_LDADD =	$(top_builddir)/mysys/libmysys.a \
-			$(top_builddir)/dbug/libdbug.a \
-			$(top_builddir)/strings/libmystrings.a \
+concurrency_test_LDADD =	$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/dbug/libdbuglt.la \
+			$(top_builddir)/strings/libmystringslt.la \
 			$(LIBMYSQLCLIENT_LA) \
 			$(LDADD) \
 			-lz

=== modified file 'storage/heap/Makefile.am'
--- storage/heap/Makefile.am	2008-06-30 19:58:51 +0000
+++ storage/heap/Makefile.am	2008-07-01 06:30:40 +0000
@@ -31,14 +31,14 @@
 noinst_LIBRARIES =	libheap.a
 hp_test1_LDFLAGS = 
 hp_test1_LDADD =	libheap.a \
-			$(top_builddir)/mysys/libmysys.a \
-			$(top_builddir)/dbug/libdbug.a \
-			$(top_builddir)/strings/libmystrings.a
+			$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/dbug/libdbuglt.la \
+			$(top_builddir)/strings/libmystringslt.la
 hp_test2_LDFLAGS = 
 hp_test2_LDADD =	libheap.a \
-			$(top_builddir)/mysys/libmysys.a \
-			$(top_builddir)/dbug/libdbug.a \
-			$(top_builddir)/strings/libmystrings.a
+			$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/dbug/libdbuglt.la \
+			$(top_builddir)/strings/libmystringslt.la
 noinst_HEADERS =	heapdef.h ha_heap.h
 libheap_a_SOURCES =	hp_open.c hp_extra.c hp_close.c hp_panic.c hp_info.c \
 			hp_rrnd.c hp_scan.c hp_update.c hp_write.c hp_delete.c \

=== modified file 'storage/myisam/Makefile.am'
--- storage/myisam/Makefile.am	2008-07-01 02:58:18 +0000
+++ storage/myisam/Makefile.am	2008-07-01 06:30:40 +0000
@@ -34,55 +34,55 @@
 bin_PROGRAMS =		myisamchk myisamlog myisampack myisam_ftdump
 myisamchk_DEPENDENCIES=	$(LIBRARIES)
 myisamchk_LDADD=	libmyisam.a \
-			$(top_builddir)/mysys/libmysys.a \
-			$(top_builddir)/dbug/libdbug.a \
-			$(top_builddir)/strings/libmystrings.a -lz
+			$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/dbug/libdbuglt.la \
+			$(top_builddir)/strings/libmystringslt.la -lz
 myisamlog_DEPENDENCIES=	$(LIBRARIES)
 myisamlog_LDADD=	libmyisam.a \
-			$(top_builddir)/mysys/libmysys.a \
-			$(top_builddir)/dbug/libdbug.a \
-			$(top_builddir)/strings/libmystrings.a -lz
+			$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/dbug/libdbuglt.la \
+			$(top_builddir)/strings/libmystringslt.la -lz
 myisampack_DEPENDENCIES=$(LIBRARIES)
 myisampack_LDADD=	libmyisam.a \
-			$(top_builddir)/mysys/libmysys.a \
-			$(top_builddir)/dbug/libdbug.a \
-			$(top_builddir)/strings/libmystrings.a -lz
+			$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/dbug/libdbuglt.la \
+			$(top_builddir)/strings/libmystringslt.la -lz
 noinst_PROGRAMS =	mi_test1 mi_test2 mi_test3 rt_test sp_test #ft_test1 ft_eval
 noinst_HEADERS =	myisamdef.h rt_index.h rt_key.h rt_mbr.h sp_defs.h \
 			fulltext.h ftdefs.h ft_test1.h ft_eval.h \
 			ha_myisam.h mi_extrafunc.h
 mi_test1_DEPENDENCIES=	$(LIBRARIES)
 mi_test1_LDADD=		libmyisam.a \
-			$(top_builddir)/mysys/libmysys.a \
-			$(top_builddir)/dbug/libdbug.a \
-			$(top_builddir)/strings/libmystrings.a -lz
+			$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/dbug/libdbuglt.la \
+			$(top_builddir)/strings/libmystringslt.la -lz
 mi_test2_DEPENDENCIES=	$(LIBRARIES)
 mi_test2_LDADD=		libmyisam.a \
-			$(top_builddir)/mysys/libmysys.a \
-			$(top_builddir)/dbug/libdbug.a \
-			$(top_builddir)/strings/libmystrings.a -lz
+			$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/dbug/libdbuglt.la \
+			$(top_builddir)/strings/libmystringslt.la -lz
 mi_test3_DEPENDENCIES=	$(LIBRARIES)
 mi_test3_LDADD=		libmyisam.a \
-			$(top_builddir)/mysys/libmysys.a \
-			$(top_builddir)/dbug/libdbug.a \
-			$(top_builddir)/strings/libmystrings.a -lz
+			$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/dbug/libdbuglt.la \
+			$(top_builddir)/strings/libmystringslt.la -lz
 #ft_test1_DEPENDENCIES=	$(LIBRARIES)
 #ft_eval_DEPENDENCIES=	$(LIBRARIES)
 myisam_ftdump_DEPENDENCIES=	$(LIBRARIES)
 myisam_ftdump_LDADD =	libmyisam.a \
-			$(top_builddir)/mysys/libmysys.a \
-			$(top_builddir)/dbug/libdbug.a \
-			$(top_builddir)/strings/libmystrings.a -lz
+			$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/dbug/libdbuglt.la \
+			$(top_builddir)/strings/libmystringslt.la -lz
 rt_test_DEPENDENCIES=	$(LIBRARIES)
 rt_test_LDADD =		libmyisam.a \
-			$(top_builddir)/mysys/libmysys.a \
-			$(top_builddir)/dbug/libdbug.a \
-			$(top_builddir)/strings/libmystrings.a -lz
+			$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/dbug/libdbuglt.la \
+			$(top_builddir)/strings/libmystringslt.la -lz
 sp_test_DEPENDENCIES=	$(LIBRARIES)
 sp_test_LDADD =		libmyisam.a \
-			$(top_builddir)/mysys/libmysys.a \
-			$(top_builddir)/dbug/libdbug.a \
-			$(top_builddir)/strings/libmystrings.a -lz
+			$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/dbug/libdbuglt.la \
+			$(top_builddir)/strings/libmystringslt.la -lz
 libmyisam_a_SOURCES =	mi_open.c mi_extra.c mi_info.c mi_rkey.c \
 			mi_rnext.c mi_rnext_same.c \
 			mi_search.c mi_page.c mi_key.c mi_locking.c \

=== modified file 'strings/Makefile.am'
--- strings/Makefile.am	2008-06-30 19:58:51 +0000
+++ strings/Makefile.am	2008-07-01 06:30:40 +0000
@@ -14,71 +14,74 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 # This file is public domain and comes with NO WARRANTY of any kind
-
 INCLUDES =		-I$(top_builddir)/include -I$(top_srcdir)/include
-pkglib_LIBRARIES =	libmystrings.a
+pkglib_LTLIBRARIES =	libmystrings.la
+libmystrings_la_LDFLAGS = -static
+libmystrings_la_SOURCES = 
+
+# These are the symbols we don't use in mysqlclient
+libmystringsextra_la_SOURCES = bfill.c  r_strinstr.c strtol.c  strtoul.c my_strchr.c
+# Force C++ linking - dummy.cxx doesn't have to exist with EXTRA in the name
+nodist_EXTRA_libmystrings_la_SOURCES = dummy.cxx
+# This can't be listed here as $(top_builddir)/strings/libmystingslt.la
+# or it breaks make's dependency track for -j builds
+libmystrings_la_LIBADD = libmystringslt.la libmystringsextra.la
+
+noinst_LTLIBRARIES =	libmystringslt.la libmystringsextra.la
 
 # Exact one of ASSEMBLER_X
 if ASSEMBLER_x86
 ASRCS		= strings-x86.s longlong2str-x86.s my_strtoll10-x86.s
-CSRCS		= bfill.c bmove.c bmove512.c bchange.c strxnmov.c int2str.c str2int.c r_strinstr.c bcmp.c strtol.c strtoul.c strtoll.c strtoull.c llstr.c strnlen.c ctype.c ctype-simple.c ctype-mb.c ctype-big5.c ctype-cp932.c ctype-czech.c ctype-eucjpms.c ctype-euc_kr.c ctype-gb2312.c ctype-gbk.c ctype-sjis.c ctype-tis620.c ctype-ujis.c ctype-utf8.c ctype-ucs2.c ctype-uca.c ctype-win1250ch.c ctype-bin.c ctype-latin1.c my_vsnprintf.c xml.c decimal.c ctype-extra.c str_alloc.c longlong2str_asm.c my_strchr.c dtoa.c
+CSRCS		= bmove.c bmove512.c bchange.c strxnmov.c int2str.c str2int.c bcmp.c strtoll.c strtoull.c llstr.c strnlen.c ctype.c ctype-simple.c ctype-mb.c ctype-big5.c ctype-cp932.c ctype-czech.c ctype-eucjpms.c ctype-euc_kr.c ctype-gb2312.c ctype-gbk.c ctype-sjis.c ctype-tis620.c ctype-ujis.c ctype-utf8.c ctype-ucs2.c ctype-uca.c ctype-win1250ch.c ctype-bin.c ctype-latin1.c my_vsnprintf.c xml.c decimal.c ctype-extra.c str_alloc.c longlong2str_asm.c dtoa.c
 else
 if ASSEMBLER_sparc32
 # These file MUST all be on the same line!! Otherwise automake
 # generats a very broken makefile
 ASRCS		= bmove_upp-sparc.s strappend-sparc.s strend-sparc.s strinstr-sparc.s strmake-sparc.s strmov-sparc.s strnmov-sparc.s strstr-sparc.s
-CSRCS		= strcont.c strfill.c strcend.c is_prefix.c longlong2str.c bfill.c bmove.c bmove512.c bchange.c strxnmov.c int2str.c str2int.c r_strinstr.c bcmp.c strtol.c strtoul.c strtoll.c strtoull.c llstr.c strnlen.c strxmov.c ctype.c ctype-simple.c ctype-mb.c ctype-big5.c ctype-cp932.c ctype-czech.c ctype-eucjpms.c ctype-euc_kr.c ctype-gb2312.c ctype-gbk.c ctype-sjis.c ctype-tis620.c ctype-ujis.c ctype-utf8.c ctype-ucs2.c ctype-uca.c ctype-win1250ch.c ctype-bin.c ctype-latin1.c my_vsnprintf.c xml.c decimal.c ctype-extra.c my_strtoll10.c str_alloc.c my_strchr.c dtoa.c
+CSRCS		= strcont.c strfill.c strcend.c is_prefix.c longlong2str.c bmove.c bmove512.c bchange.c strxnmov.c int2str.c str2int.c bcmp.c strtoll.c strtoull.c llstr.c strnlen.c strxmov.c ctype.c ctype-simple.c ctype-mb.c ctype-big5.c ctype-cp932.c ctype-czech.c ctype-eucjpms.c ctype-euc_kr.c ctype-gb2312.c ctype-gbk.c ctype-sjis.c ctype-tis620.c ctype-ujis.c ctype-utf8.c ctype-ucs2.c ctype-uca.c ctype-win1250ch.c ctype-bin.c ctype-latin1.c my_vsnprintf.c xml.c decimal.c ctype-extra.c my_strtoll10.c str_alloc.c dtoa.c
 else
 #no assembler
 ASRCS		=
 # These file MUST all be on the same line!! Otherwise automake
 # generats a very broken makefile
-CSRCS		= strxmov.c bmove_upp.c strappend.c strcont.c strend.c strfill.c strcend.c is_prefix.c strstr.c strinstr.c strmake.c strnmov.c strmov.c longlong2str.c bfill.c bmove.c bmove512.c bchange.c strxnmov.c int2str.c str2int.c r_strinstr.c bcmp.c strtol.c strtoul.c strtoll.c strtoull.c llstr.c strnlen.c ctype.c ctype-simple.c ctype-mb.c ctype-big5.c ctype-cp932.c ctype-czech.c ctype-eucjpms.c ctype-euc_kr.c ctype-gb2312.c ctype-gbk.c ctype-sjis.c ctype-tis620.c ctype-ujis.c ctype-utf8.c ctype-ucs2.c ctype-uca.c ctype-win1250ch.c ctype-bin.c ctype-latin1.c my_vsnprintf.c xml.c decimal.c ctype-extra.c my_strtoll10.c str_alloc.c my_strchr.c dtoa.c
+SRCS		= strxmov.c bmove_upp.c strappend.c strcont.c strend.c strfill.c strcend.c is_prefix.c strstr.c strinstr.c strmake.c strnmov.c strmov.c longlong2str.c bmove.c bmove512.c bchange.c strxnmov.c int2str.c str2int.c bcmp.c strtoll.c strtoull.c llstr.c strnlen.c ctype.c ctype-simple.c ctype-mb.c ctype-big5.c ctype-cp932.c ctype-czech.c ctype-eucjpms.c ctype-euc_kr.c ctype-gb2312.c ctype-gbk.c ctype-sjis.c ctype-tis620.c ctype-ujis.c ctype-utf8.c ctype-ucs2.c ctype-uca.c ctype-win1250ch.c ctype-bin.c ctype-latin1.c my_vsnprintf.c xml.c decimal.c ctype-extra.c my_strtoll10.c str_alloc.c dtoa.c
 endif
 endif
 
-libmystrings_a_SOURCES = $(ASRCS) $(CSRCS)
+libmystringslt_la_SOURCES = $(ASRCS) $(CSRCS)
 noinst_PROGRAMS = conf_to_src
 CLEANFILES = str_test uctypedump test_decimal
 # Default charset definitions
-EXTRA_DIST =		ctype-big5.c ctype-cp932.c ctype-czech.c ctype-eucjpms.c ctype-euc_kr.c ctype-win1250ch.c \
-			ctype-gb2312.c ctype-gbk.c ctype-sjis.c ctype-utf8.c \
-			ctype-ucs2.c ctype-uca.c ctype-tis620.c ctype-ujis.c \
-			xml.c decimal.c strto.c strings-x86.s \
-			longlong2str.c longlong2str-x86.s longlong2str_asm.c \
-			my_strtoll10.c my_strtoll10-x86.s \
-			strxmov.c bmove_upp.c strappend.c strcont.c strend.c \
-			strfill.c strcend.c is_prefix.c strstr.c strinstr.c \
-			strmake.c strnmov.c strmov.c strnlen.c \
-			bmove_upp-sparc.s strappend-sparc.s strend-sparc.s \
-			strinstr-sparc.s strmake-sparc.s strmov-sparc.s \
-			strnmov-sparc.s strstr-sparc.s strxmov-sparc.s \
-			t_ctype.h my_strchr.c CMakeLists.txt
+EXTRA_DIST = 	ctype-big5.c ctype-cp932.c ctype-czech.c ctype-eucjpms.c \
+	       	ctype-euc_kr.c ctype-win1250ch.c \
+		ctype-gb2312.c ctype-gbk.c ctype-sjis.c ctype-utf8.c \
+		ctype-ucs2.c ctype-uca.c ctype-tis620.c ctype-ujis.c \
+		xml.c decimal.c strto.c strings-x86.s \
+		longlong2str.c longlong2str-x86.s longlong2str_asm.c \
+		my_strtoll10.c my_strtoll10-x86.s \
+		strxmov.c bmove_upp.c strappend.c strcont.c strend.c \
+		strfill.c strcend.c is_prefix.c strstr.c strinstr.c \
+		strmake.c strnmov.c strmov.c strnlen.c \
+		bmove_upp-sparc.s strappend-sparc.s strend-sparc.s \
+		strinstr-sparc.s strmake-sparc.s strmov-sparc.s \
+		strnmov-sparc.s strstr-sparc.s strxmov-sparc.s \
+		t_ctype.h my_strchr.c
 
-libmystrings_a_LIBADD=
-conf_to_src_SOURCES = conf_to_src.c xml.c ctype.c bcmp.c
-conf_to_src_LDADD=
+conf_to_src_SOURCES = conf_to_src.c 
+conf_to_src_LDADD= libmystringslt.la
 #force static linking of conf_to_src - essential when linking against
 #custom installation of libc
 conf_to_src_LDFLAGS=
 
-# This is because the dependency tracking misses @FOO@ vars in sources.
-#strtoull.o:		@CHARSET_OBJS@
-
-
 FLAGS=$(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
 
-str_test: str_test.c $(pkglib_LIBRARIES)
-	$(LINK) $(FLAGS) -DMAIN $(INCLUDES) $(srcdir)/str_test.c $(LDADD) $(pkglib_LIBRARIES)
+str_test$(EXEEXT): str_test.c $(noinst_LTLIBRARIES)
+	$(LINK) $(FLAGS) -DMAIN $(INCLUDES) $(srcdir)/str_test.c $(LDADD) $(noinst_LTLIBRARIES)
 
-uctypedump: uctypedump.c
+uctypedump$(EXEEXT): uctypedump.c
 	$(LINK) $(INCLUDES) $(srcdir)/uctypedump.c
 
-test_decimal$(EXEEXT): decimal.c $(pkglib_LIBRARIES)
+test_decimal$(EXEEXT): decimal.c $(noinst_LTLIBRARIES)
 	$(CP) $(srcdir)/decimal.c ./test_decimal.c
-	$(LINK) $(FLAGS) -DMAIN  ./test_decimal.c $(LDADD) $(pkglib_LIBRARIES)
+	$(LINK) $(FLAGS) -DMAIN  ./test_decimal.c $(LDADD) $(noinst_LTLIBRARIES)
 	$(RM) -f ./test_decimal.c
-
-# Don't update the files from bitkeeper
-%::SCCS/s.%
-

=== modified file 'unittest/mysys/Makefile.am'
--- unittest/mysys/Makefile.am	2008-06-25 05:29:13 +0000
+++ unittest/mysys/Makefile.am	2008-07-01 06:30:40 +0000
@@ -17,9 +17,10 @@
 AM_CPPFLAGS     += -I$(top_srcdir)/include -I$(top_srcdir)/unittest/mytap
 
 LDADD 		= $(top_builddir)/unittest/mytap/libmytap.a \
-		  $(top_builddir)/mysys/libmysys.a \
-		  $(top_builddir)/dbug/libdbug.a \
-		  $(top_builddir)/strings/libmystrings.a
+		  $(top_builddir)/mysys/libmysyslt.la \
+		  $(top_builddir)/dbug/libdbuglt.la \
+		  $(top_builddir)/strings/libmystringslt.la \
+		  @ZLIB_LIBS@
 
 noinst_PROGRAMS  = bitmap-t base64-t
 

